#!/bin/bash -x
CPLIST="../../lib /home/gsexton/cdaily/AddlJars /usr/local/derby/lib"
CPATH=".";
for THISPATH in $CPLIST; do
	JARLIST=`ls $THISPATH/*.jar`
	for THISJAR in $JARLIST; do
		CPATH=$CPATH:$THISJAR
	done
done
if [ ! -f BackupDB.class ]; then
	javac -classpath $CPATH BackupDB.java
fi
java -classpath $CPATH BackupDB --compress --path=/var/tmp --database=calendardb --configuration=embedded_configuration.properties
